# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
"""
This file contains the exact signatures for all functions in module
PySide6.QtWebEngineCore, except for defaults which are replaced by "...".
"""

# mypy: disable-error-code="override, overload-overlap"
# Module `PySide6.QtWebEngineCore`

import PySide6.QtWebEngineCore
import PySide6.QtCore

import enum
import typing
from PySide6.QtCore import Signal
from shiboken6 import Shiboken


class QIntList: ...


class QWebEngineCertificateError(Shiboken.Object):

    class Type(enum.Enum):

        SslObsoleteVersion        = -218
        CertificateKnownInterceptionBlocked = -217
        CertificateSymantecLegacy = -215
        CertificateTransparencyRequired = -214
        CertificateValidityTooLong = -213
        CertificateNameConstraintViolation = -212
        CertificateWeakKey        = -211
        CertificateNonUniqueName  = -210
        CertificateWeakSignatureAlgorithm = -208
        CertificateInvalid        = -207
        CertificateRevoked        = -206
        CertificateUnableToCheckRevocation = -205
        CertificateNoRevocationMechanism = -204
        CertificateContainsErrors = -203
        CertificateAuthorityInvalid = -202
        CertificateDateInvalid    = -201
        CertificateCommonNameInvalid = -200
        SslPinnedKeyNotInCertificateChain = -150
        Ok                        = 0x0


class QWebEngineClientCertificateSelection(Shiboken.Object): ...


class QWebEngineClientCertificateStore(Shiboken.Object): ...


class QWebEngineClientHints(PySide6.QtCore.QObject): ...


class QWebEngineContextMenuRequest(PySide6.QtCore.QObject):

    class EditFlag(enum.Flag):

        CanUndo                   = 0x1
        CanRedo                   = 0x2
        CanCut                    = 0x4
        CanCopy                   = 0x8
        CanPaste                  = 0x10
        CanDelete                 = 0x20
        CanSelectAll              = 0x40
        CanTranslate              = 0x80
        CanEditRichly             = 0x100

    class MediaFlag(enum.Flag):

        MediaInError              = 0x1
        MediaPaused               = 0x2
        MediaMuted                = 0x4
        MediaLoop                 = 0x8
        MediaCanSave              = 0x10
        MediaHasAudio             = 0x20
        MediaCanToggleControls    = 0x40
        MediaControls             = 0x80
        MediaCanPrint             = 0x100
        MediaCanRotate            = 0x200

    class MediaType(enum.Enum):

        MediaTypeNone             = 0x0
        MediaTypeImage            = 0x1
        MediaTypeVideo            = 0x2
        MediaTypeAudio            = 0x3
        MediaTypeCanvas           = 0x4
        MediaTypeFile             = 0x5
        MediaTypePlugin           = 0x6


class QWebEngineCookieStore(PySide6.QtCore.QObject):

    cookieAdded              : typing.ClassVar[Signal] = ... # cookieAdded(QNetworkCookie)
    cookieRemoved            : typing.ClassVar[Signal] = ... # cookieRemoved(QNetworkCookie)

    class FilterRequest(Shiboken.Object): ...


class QWebEngineDesktopMediaRequest(Shiboken.Object): ...


class QWebEngineDownloadRequest(PySide6.QtCore.QObject):

    downloadDirectoryChanged : typing.ClassVar[Signal] = ... # downloadDirectoryChanged()
    downloadFileNameChanged  : typing.ClassVar[Signal] = ... # downloadFileNameChanged()
    interruptReasonChanged   : typing.ClassVar[Signal] = ... # interruptReasonChanged()
    isFinishedChanged        : typing.ClassVar[Signal] = ... # isFinishedChanged()
    isPausedChanged          : typing.ClassVar[Signal] = ... # isPausedChanged()
    receivedBytesChanged     : typing.ClassVar[Signal] = ... # receivedBytesChanged()
    savePageFormatChanged    : typing.ClassVar[Signal] = ... # savePageFormatChanged()
    stateChanged             : typing.ClassVar[Signal] = ... # stateChanged(QWebEngineDownloadRequest::DownloadState)
    totalBytesChanged        : typing.ClassVar[Signal] = ... # totalBytesChanged()

    class DownloadInterruptReason(enum.Enum):

        NoReason                  = 0x0
        FileFailed                = 0x1
        FileAccessDenied          = 0x2
        FileNoSpace               = 0x3
        FileNameTooLong           = 0x5
        FileTooLarge              = 0x6
        FileVirusInfected         = 0x7
        FileTransientError        = 0xa
        FileBlocked               = 0xb
        FileSecurityCheckFailed   = 0xc
        FileTooShort              = 0xd
        FileHashMismatch          = 0xe
        NetworkFailed             = 0x14
        NetworkTimeout            = 0x15
        NetworkDisconnected       = 0x16
        NetworkServerDown         = 0x17
        NetworkInvalidRequest     = 0x18
        ServerFailed              = 0x1e
        ServerBadContent          = 0x21
        ServerUnauthorized        = 0x22
        ServerCertProblem         = 0x23
        ServerForbidden           = 0x24
        ServerUnreachable         = 0x25
        UserCanceled              = 0x28

    class DownloadState(enum.Enum):

        DownloadRequested         = 0x0
        DownloadInProgress        = 0x1
        DownloadCompleted         = 0x2
        DownloadCancelled         = 0x3
        DownloadInterrupted       = 0x4

    class SavePageFormat(enum.Enum):

        UnknownSaveFormat         = -1
        SingleHtmlSaveFormat      = 0x0
        CompleteHtmlSaveFormat    = 0x1
        MimeHtmlSaveFormat        = 0x2


class QWebEngineExtensionInfo(Shiboken.Object): ...


class QWebEngineExtensionManager(PySide6.QtCore.QObject):

    installFinished          : typing.ClassVar[Signal] = ... # installFinished(QWebEngineExtensionInfo)
    loadFinished             : typing.ClassVar[Signal] = ... # loadFinished(QWebEngineExtensionInfo)
    uninstallFinished        : typing.ClassVar[Signal] = ... # uninstallFinished(QWebEngineExtensionInfo)
    unloadFinished           : typing.ClassVar[Signal] = ... # unloadFinished(QWebEngineExtensionInfo)


class QWebEngineFileSystemAccessRequest(Shiboken.Object):

    class AccessFlag(enum.Flag):

        Read                      = 0x1
        Write                     = 0x2

    class HandleType(enum.Enum):

        File                      = 0x0
        Directory                 = 0x1


class QWebEngineFindTextResult(Shiboken.Object): ...


class QWebEngineFrame(Shiboken.Object): ...


class QWebEngineFullScreenRequest(Shiboken.Object): ...


class QWebEngineGlobalSettings(Shiboken.Object):

    class DnsMode(Shiboken.Object): ...

    class SecureDnsMode(enum.Enum):

        SystemOnly                = 0x0
        SecureWithFallback        = 0x1
        SecureOnly                = 0x2


class QWebEngineHistory(PySide6.QtCore.QObject): ...


class QWebEngineHistoryItem(Shiboken.Object): ...


class QWebEngineHistoryModel(PySide6.QtCore.QAbstractListModel):

    class Roles(enum.Enum):

        UrlRole                   = 0x100
        TitleRole                 = 0x101
        OffsetRole                = 0x102
        IconUrlRole               = 0x103


class QWebEngineHttpRequest(Shiboken.Object):

    class Method(enum.Enum):

        Get                       = 0x0
        Post                      = 0x1


class QWebEngineLoadingInfo(Shiboken.Object):

    class ErrorDomain(enum.Enum):

        NoErrorDomain             = 0x0
        InternalErrorDomain       = 0x1
        ConnectionErrorDomain     = 0x2
        CertificateErrorDomain    = 0x3
        HttpErrorDomain           = 0x4
        FtpErrorDomain            = 0x5
        DnsErrorDomain            = 0x6
        HttpStatusCodeDomain      = 0x7

    class LoadStatus(enum.Enum):

        LoadStartedStatus         = 0x0
        LoadStoppedStatus         = 0x1
        LoadSucceededStatus       = 0x2
        LoadFailedStatus          = 0x3


class QWebEngineNavigationRequest(PySide6.QtCore.QObject):

    actionChanged            : typing.ClassVar[Signal] = ... # actionChanged()

    class NavigationRequestAction(enum.Enum):

        AcceptRequest             = 0x0
        IgnoreRequest             = 0xff

    class NavigationType(enum.Enum):

        LinkClickedNavigation     = 0x0
        TypedNavigation           = 0x1
        FormSubmittedNavigation   = 0x2
        BackForwardNavigation     = 0x3
        ReloadNavigation          = 0x4
        OtherNavigation           = 0x5
        RedirectNavigation        = 0x6


class QWebEngineNewWindowRequest(PySide6.QtCore.QObject):

    class DestinationType(enum.Enum):

        InNewWindow               = 0x0
        InNewTab                  = 0x1
        InNewDialog               = 0x2
        InNewBackgroundTab        = 0x3


class QWebEngineNotification(PySide6.QtCore.QObject):

    closed                   : typing.ClassVar[Signal] = ... # closed()


class QWebEnginePage(PySide6.QtCore.QObject):

    _q_aboutToDelete         : typing.ClassVar[Signal] = ... # _q_aboutToDelete()
    audioMutedChanged        : typing.ClassVar[Signal] = ... # audioMutedChanged(bool)
    authenticationRequired   : typing.ClassVar[Signal] = ... # authenticationRequired(QUrl,QAuthenticator*)
    certificateError         : typing.ClassVar[Signal] = ... # certificateError(QWebEngineCertificateError)
    contentsSizeChanged      : typing.ClassVar[Signal] = ... # contentsSizeChanged(QSizeF)
    desktopMediaRequested    : typing.ClassVar[Signal] = ... # desktopMediaRequested(QWebEngineDesktopMediaRequest)
    featurePermissionRequestCanceled: typing.ClassVar[Signal] = ... # featurePermissionRequestCanceled(QUrl,QWebEnginePage::Feature)
    featurePermissionRequested: typing.ClassVar[Signal] = ... # featurePermissionRequested(QUrl,QWebEnginePage::Feature)
    fileSystemAccessRequested: typing.ClassVar[Signal] = ... # fileSystemAccessRequested(QWebEngineFileSystemAccessRequest)
    findTextFinished         : typing.ClassVar[Signal] = ... # findTextFinished(QWebEngineFindTextResult)
    fullScreenRequested      : typing.ClassVar[Signal] = ... # fullScreenRequested(QWebEngineFullScreenRequest)
    geometryChangeRequested  : typing.ClassVar[Signal] = ... # geometryChangeRequested(QRect)
    iconChanged              : typing.ClassVar[Signal] = ... # iconChanged(QIcon)
    iconUrlChanged           : typing.ClassVar[Signal] = ... # iconUrlChanged(QUrl)
    lifecycleStateChanged    : typing.ClassVar[Signal] = ... # lifecycleStateChanged(LifecycleState)
    linkHovered              : typing.ClassVar[Signal] = ... # linkHovered(QString)
    loadFinished             : typing.ClassVar[Signal] = ... # loadFinished(bool)
    loadProgress             : typing.ClassVar[Signal] = ... # loadProgress(int)
    loadStarted              : typing.ClassVar[Signal] = ... # loadStarted()
    loadingChanged           : typing.ClassVar[Signal] = ... # loadingChanged(QWebEngineLoadingInfo)
    navigationRequested      : typing.ClassVar[Signal] = ... # navigationRequested(QWebEngineNavigationRequest&)
    newWindowRequested       : typing.ClassVar[Signal] = ... # newWindowRequested(QWebEngineNewWindowRequest&)
    pdfPrintingFinished      : typing.ClassVar[Signal] = ... # pdfPrintingFinished(QString,bool)
    permissionRequested      : typing.ClassVar[Signal] = ... # permissionRequested(QWebEnginePermission)
    printRequested           : typing.ClassVar[Signal] = ... # printRequested()
    printRequestedByFrame    : typing.ClassVar[Signal] = ... # printRequestedByFrame(QWebEngineFrame)
    proxyAuthenticationRequired: typing.ClassVar[Signal] = ... # proxyAuthenticationRequired(QUrl,QAuthenticator*,QString)
    quotaRequested           : typing.ClassVar[Signal] = ... # quotaRequested(QWebEngineQuotaRequest)
    recentlyAudibleChanged   : typing.ClassVar[Signal] = ... # recentlyAudibleChanged(bool)
    recommendedStateChanged  : typing.ClassVar[Signal] = ... # recommendedStateChanged(LifecycleState)
    registerProtocolHandlerRequested: typing.ClassVar[Signal] = ... # registerProtocolHandlerRequested(QWebEngineRegisterProtocolHandlerRequest)
    renderProcessPidChanged  : typing.ClassVar[Signal] = ... # renderProcessPidChanged(qlonglong)
    renderProcessTerminated  : typing.ClassVar[Signal] = ... # renderProcessTerminated(RenderProcessTerminationStatus,int)
    scrollPositionChanged    : typing.ClassVar[Signal] = ... # scrollPositionChanged(QPointF)
    selectClientCertificate  : typing.ClassVar[Signal] = ... # selectClientCertificate(QWebEngineClientCertificateSelection)
    selectionChanged         : typing.ClassVar[Signal] = ... # selectionChanged()
    titleChanged             : typing.ClassVar[Signal] = ... # titleChanged(QString)
    urlChanged               : typing.ClassVar[Signal] = ... # urlChanged(QUrl)
    visibleChanged           : typing.ClassVar[Signal] = ... # visibleChanged(bool)
    webAuthUxRequested       : typing.ClassVar[Signal] = ... # webAuthUxRequested(QWebEngineWebAuthUxRequest*)
    windowCloseRequested     : typing.ClassVar[Signal] = ... # windowCloseRequested()
    zoomFactorChanged        : typing.ClassVar[Signal] = ... # zoomFactorChanged(double)

    class Feature(enum.Enum):

        Notifications             = 0x0
        Geolocation               = 0x1
        MediaAudioCapture         = 0x2
        MediaVideoCapture         = 0x3
        MediaAudioVideoCapture    = 0x4
        MouseLock                 = 0x5
        DesktopVideoCapture       = 0x6
        DesktopAudioVideoCapture  = 0x7
        ClipboardReadWrite        = 0x8
        LocalFontsAccess          = 0x9

    class FileSelectionMode(enum.Enum):

        FileSelectOpen            = 0x0
        FileSelectOpenMultiple    = 0x1
        FileSelectUploadFolder    = 0x2
        FileSelectSave            = 0x3

    class FindFlag(enum.Flag):

        FindBackward              = 0x1
        FindCaseSensitively       = 0x2

    class JavaScriptConsoleMessageLevel(enum.Enum):

        InfoMessageLevel          = 0x0
        WarningMessageLevel       = 0x1
        ErrorMessageLevel         = 0x2

    class LifecycleState(enum.Enum):

        Active                    = 0x0
        Frozen                    = 0x1
        Discarded                 = 0x2

    class NavigationType(enum.Enum):

        NavigationTypeLinkClicked = 0x0
        NavigationTypeTyped       = 0x1
        NavigationTypeFormSubmitted = 0x2
        NavigationTypeBackForward = 0x3
        NavigationTypeReload      = 0x4
        NavigationTypeOther       = 0x5
        NavigationTypeRedirect    = 0x6

    class PermissionPolicy(enum.Enum):

        PermissionUnknown         = 0x0
        PermissionGrantedByUser   = 0x1
        PermissionDeniedByUser    = 0x2

    class RenderProcessTerminationStatus(enum.Enum):

        NormalTerminationStatus   = 0x0
        AbnormalTerminationStatus = 0x1
        CrashedTerminationStatus  = 0x2
        KilledTerminationStatus   = 0x3

    class WebAction(enum.Enum):

        NoWebAction               = -1
        Back                      = 0x0
        Forward                   = 0x1
        Stop                      = 0x2
        Reload                    = 0x3
        Cut                       = 0x4
        Copy                      = 0x5
        Paste                     = 0x6
        Undo                      = 0x7
        Redo                      = 0x8
        SelectAll                 = 0x9
        ReloadAndBypassCache      = 0xa
        PasteAndMatchStyle        = 0xb
        OpenLinkInThisWindow      = 0xc
        OpenLinkInNewWindow       = 0xd
        OpenLinkInNewTab          = 0xe
        CopyLinkToClipboard       = 0xf
        DownloadLinkToDisk        = 0x10
        CopyImageToClipboard      = 0x11
        CopyImageUrlToClipboard   = 0x12
        DownloadImageToDisk       = 0x13
        CopyMediaUrlToClipboard   = 0x14
        ToggleMediaControls       = 0x15
        ToggleMediaLoop           = 0x16
        ToggleMediaPlayPause      = 0x17
        ToggleMediaMute           = 0x18
        DownloadMediaToDisk       = 0x19
        InspectElement            = 0x1a
        ExitFullScreen            = 0x1b
        RequestClose              = 0x1c
        Unselect                  = 0x1d
        SavePage                  = 0x1e
        OpenLinkInNewBackgroundTab = 0x1f
        ViewSource                = 0x20
        ToggleBold                = 0x21
        ToggleItalic              = 0x22
        ToggleUnderline           = 0x23
        ToggleStrikethrough       = 0x24
        AlignLeft                 = 0x25
        AlignCenter               = 0x26
        AlignRight                = 0x27
        AlignJustified            = 0x28
        Indent                    = 0x29
        Outdent                   = 0x2a
        InsertOrderedList         = 0x2b
        InsertUnorderedList       = 0x2c
        ChangeTextDirectionLTR    = 0x2d
        ChangeTextDirectionRTL    = 0x2e
        WebActionCount            = 0x2f

    class WebWindowType(enum.Enum):

        WebBrowserWindow          = 0x0
        WebBrowserTab             = 0x1
        WebDialog                 = 0x2
        WebBrowserBackgroundTab   = 0x3


class QWebEnginePermission(Shiboken.Object):

    class PermissionType(enum.Enum):

        Unsupported               = 0x0
        MediaAudioCapture         = 0x1
        MediaVideoCapture         = 0x2
        MediaAudioVideoCapture    = 0x3
        DesktopVideoCapture       = 0x4
        DesktopAudioVideoCapture  = 0x5
        MouseLock                 = 0x6
        Notifications             = 0x7
        Geolocation               = 0x8
        ClipboardReadWrite        = 0x9
        LocalFontsAccess          = 0xa

    class State(enum.Enum):

        Invalid                   = 0x0
        Ask                       = 0x1
        Granted                   = 0x2
        Denied                    = 0x3


class QWebEngineProfile(PySide6.QtCore.QObject):

    clearHttpCacheCompleted  : typing.ClassVar[Signal] = ... # clearHttpCacheCompleted()
    downloadRequested        : typing.ClassVar[Signal] = ... # downloadRequested(QWebEngineDownloadRequest*)

    class HttpCacheType(enum.Enum):

        MemoryHttpCache           = 0x0
        DiskHttpCache             = 0x1
        NoCache                   = 0x2

    class PersistentCookiesPolicy(enum.Enum):

        NoPersistentCookies       = 0x0
        AllowPersistentCookies    = 0x1
        ForcePersistentCookies    = 0x2

    class PersistentPermissionsPolicy(enum.Enum):

        AskEveryTime              = 0x0
        StoreInMemory             = 0x1
        StoreOnDisk               = 0x2


class QWebEngineProfileBuilder(Shiboken.Object): ...


class QWebEngineQuotaRequest(Shiboken.Object): ...


class QWebEngineRegisterProtocolHandlerRequest(Shiboken.Object): ...


class QWebEngineScript(Shiboken.Object):

    class InjectionPoint(enum.Enum):

        Deferred                  = 0x0
        DocumentReady             = 0x1
        DocumentCreation          = 0x2

    class ScriptWorldId(enum.IntEnum):

        MainWorld                 = 0x0
        ApplicationWorld          = 0x1
        UserWorld                 = 0x2


    def __repr__(self, /) -> str: ...


class QWebEngineScriptCollection(Shiboken.Object): ...


class QWebEngineSettings(Shiboken.Object):

    class FontFamily(enum.Enum):

        StandardFont              = 0x0
        FixedFont                 = 0x1
        SerifFont                 = 0x2
        SansSerifFont             = 0x3
        CursiveFont               = 0x4
        FantasyFont               = 0x5
        PictographFont            = 0x6

    class FontSize(enum.Enum):

        MinimumFontSize           = 0x0
        MinimumLogicalFontSize    = 0x1
        DefaultFontSize           = 0x2
        DefaultFixedFontSize      = 0x3

    class ImageAnimationPolicy(enum.Enum):

        Inherited                 = 0x0
        Allow                     = 0x1
        AnimateOnce               = 0x2
        Disallow                  = 0x3

    class UnknownUrlSchemePolicy(enum.Enum):

        InheritedUnknownUrlSchemePolicy = 0x0
        DisallowUnknownUrlSchemes = 0x1
        AllowUnknownUrlSchemesFromUserInteraction = 0x2
        AllowAllUnknownUrlSchemes = 0x3

    class WebAttribute(enum.Enum):

        AutoLoadImages            = 0x0
        JavascriptEnabled         = 0x1
        JavascriptCanOpenWindows  = 0x2
        JavascriptCanAccessClipboard = 0x3
        LinksIncludedInFocusChain = 0x4
        LocalStorageEnabled       = 0x5
        LocalContentCanAccessRemoteUrls = 0x6
        XSSAuditingEnabled        = 0x7
        SpatialNavigationEnabled  = 0x8
        LocalContentCanAccessFileUrls = 0x9
        HyperlinkAuditingEnabled  = 0xa
        ScrollAnimatorEnabled     = 0xb
        ErrorPageEnabled          = 0xc
        PluginsEnabled            = 0xd
        FullScreenSupportEnabled  = 0xe
        ScreenCaptureEnabled      = 0xf
        WebGLEnabled              = 0x10
        Accelerated2dCanvasEnabled = 0x11
        AutoLoadIconsForPage      = 0x12
        TouchIconsEnabled         = 0x13
        FocusOnNavigationEnabled  = 0x14
        PrintElementBackgrounds   = 0x15
        AllowRunningInsecureContent = 0x16
        AllowGeolocationOnInsecureOrigins = 0x17
        AllowWindowActivationFromJavaScript = 0x18
        ShowScrollBars            = 0x19
        PlaybackRequiresUserGesture = 0x1a
        WebRTCPublicInterfacesOnly = 0x1b
        JavascriptCanPaste        = 0x1c
        DnsPrefetchEnabled        = 0x1d
        PdfViewerEnabled          = 0x1e
        NavigateOnDropEnabled     = 0x1f
        ReadingFromCanvasEnabled  = 0x20
        ForceDarkMode             = 0x21
        PrintHeaderAndFooter      = 0x22
        PreferCSSMarginsForPrinting = 0x23
        TouchEventsApiEnabled     = 0x24
        BackForwardCacheEnabled   = 0x25


class QWebEngineUrlRequestInfo(Shiboken.Object):

    class NavigationType(enum.Enum):

        NavigationTypeLink        = 0x0
        NavigationTypeTyped       = 0x1
        NavigationTypeFormSubmitted = 0x2
        NavigationTypeBackForward = 0x3
        NavigationTypeReload      = 0x4
        NavigationTypeOther       = 0x5
        NavigationTypeRedirect    = 0x6

    class ResourceType(enum.Enum):

        ResourceTypeMainFrame     = 0x0
        ResourceTypeSubFrame      = 0x1
        ResourceTypeStylesheet    = 0x2
        ResourceTypeScript        = 0x3
        ResourceTypeImage         = 0x4
        ResourceTypeFontResource  = 0x5
        ResourceTypeSubResource   = 0x6
        ResourceTypeObject        = 0x7
        ResourceTypeMedia         = 0x8
        ResourceTypeWorker        = 0x9
        ResourceTypeSharedWorker  = 0xa
        ResourceTypePrefetch      = 0xb
        ResourceTypeFavicon       = 0xc
        ResourceTypeXhr           = 0xd
        ResourceTypePing          = 0xe
        ResourceTypeServiceWorker = 0xf
        ResourceTypeCspReport     = 0x10
        ResourceTypePluginResource = 0x11
        ResourceTypeNavigationPreloadMainFrame = 0x13
        ResourceTypeNavigationPreloadSubFrame = 0x14
        ResourceTypeJson          = 0x15
        ResourceTypeLast          = 0x15
        ResourceTypeWebSocket     = 0xfe
        ResourceTypeUnknown       = 0xff


class QWebEngineUrlRequestInterceptor(PySide6.QtCore.QObject): ...


class QWebEngineUrlRequestJob(PySide6.QtCore.QObject):

    class Error(enum.Enum):

        NoError                   = 0x0
        UrlNotFound               = 0x1
        UrlInvalid                = 0x2
        RequestAborted            = 0x3
        RequestDenied             = 0x4
        RequestFailed             = 0x5


class QWebEngineUrlScheme(Shiboken.Object):

    class Flag(enum.Flag):

        SecureScheme              = 0x1
        LocalScheme               = 0x2
        LocalAccessAllowed        = 0x4
        NoAccessAllowed           = 0x8
        ServiceWorkersAllowed     = 0x10
        ViewSourceAllowed         = 0x20
        ContentSecurityPolicyIgnored = 0x40
        CorsEnabled               = 0x80
        FetchApiAllowed           = 0x100

    class SpecialPort(enum.Enum):

        PortUnspecified           = -1

    class Syntax(enum.Enum):

        HostPortAndUserInformation = 0x0
        HostAndPort               = 0x1
        Host                      = 0x2
        Path                      = 0x3


class QWebEngineUrlSchemeHandler(PySide6.QtCore.QObject): ...


class QWebEngineWebAuthPinRequest(Shiboken.Object): ...


class QWebEngineWebAuthUxRequest(PySide6.QtCore.QObject):

    stateChanged             : typing.ClassVar[Signal] = ... # stateChanged(QWebEngineWebAuthUxRequest::WebAuthUxState)

    class PinEntryError(enum.Enum):

        NoError                   = 0x0
        InternalUvLocked          = 0x1
        WrongPin                  = 0x2
        TooShort                  = 0x3
        InvalidCharacters         = 0x4
        SameAsCurrentPin          = 0x5

    class PinEntryReason(enum.Enum):

        Set                       = 0x0
        Change                    = 0x1
        Challenge                 = 0x2

    class RequestFailureReason(enum.Enum):

        Timeout                   = 0x0
        KeyNotRegistered          = 0x1
        KeyAlreadyRegistered      = 0x2
        SoftPinBlock              = 0x3
        HardPinBlock              = 0x4
        AuthenticatorRemovedDuringPinEntry = 0x5
        AuthenticatorMissingResidentKeys = 0x6
        AuthenticatorMissingUserVerification = 0x7
        AuthenticatorMissingLargeBlob = 0x8
        NoCommonAlgorithms        = 0x9
        StorageFull               = 0xa
        UserConsentDenied         = 0xb
        WinUserCancelled          = 0xc

    class WebAuthUxState(enum.Enum):

        NotStarted                = 0x0
        SelectAccount             = 0x1
        CollectPin                = 0x2
        FinishTokenCollection     = 0x3
        RequestFailed             = 0x4
        Cancelled                 = 0x5
        Completed                 = 0x6


# eof
